> For the complete documentation index, see [llms.txt](https://weex-1.gitbook.io/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://weex-1.gitbook.io/en/restapi/spot-account-endpoints.md).

# Spot Account Endpoints

### Get Assets <a href="#get-assets-that-can-be-converted-into-bnb-user_data" id="get-assets-that-can-be-converted-into-bnb-user_data"></a>

Rate limit rule: 10 request/1s

**HTTP Request** &#x20;

* GET /api/spot/v1/account/assets

> **Response:**

```
{
  "code":"00000",
  "message":"success",
  "data":[
    {
        "coinId":"10012",
        "coinName":"usdt",
        "available":"0",
        "frozen":"0",
        "lock":"0",
        "uTime":"1622697148"
    }
]
}
```

**Response Field**

| Field     | Description      |
| --------- | ---------------- |
| coinId    | Currency id      |
| coinName  | Currency name    |
| available | Available assets |
| frozen    | Frozen assets    |
| lock      | Locked assets    |
| uTime     | Updated time     |

### Get Bill Record <a href="#id-23f9acd1d3" id="id-23f9acd1d3"></a>

Rate limit rule: 10 request/1s

**HTTP Request** &#x20;

* POST /api/spot/v1/account/bills

**Request parameter**

| Parameters | Type    | Required | Description                                 |
| ---------- | ------- | -------- | ------------------------------------------- |
| coinId     | Integer | No       | Currency ID                                 |
| groupType  | String  | No       | Transaction group type                      |
| bizType    | String  | No       | Business type                               |
| after      | String  | No       | Send in billId, the data before this billId |
| before     | String  | No       | Send in billId, the data after this billId  |
| limit      | Integer | No       | default 100, Max. 500                       |

> **Response:**

```
{
  "code":"00000",
  "message":"success",
  "data":[{
      "cTime":"1622697148",
      "coinId":"22",
      "coinName":"usdt",
      "groupType":"deposit",
      "bizType":"transfer-in", 
      "quantity":"1",
      "balance": "1",
      "fees":"0",
      "billId":"1291"
}]
}
```

**Response Field**

| Field     | Description            |
| --------- | ---------------------- |
| cTime     | Created time           |
| coinId    | Currency Id            |
| coinName  | Currency name          |
| groupType | Transaction group type |
| bizType   | Business type          |
| quantity  | Quantity               |
| balance   | Assets before action   |
| fees      | Transaction fees       |
| billId    | id                     |

### Get Transfer Record <a href="#dust-transfer-user_data" id="dust-transfer-user_data"></a>

Rate limit rule: 10 request/1s

**HTTP Request** &#x20;

* GET /api/spot/v1/account/transferRecords

**Request parameter**

| Parameters | Type    | Required | Description             |
| ---------- | ------- | -------- | ----------------------- |
| coinId     | Integer | No       | Currency ID             |
| fromType   | String  | No       | Account Type            |
| after      | Long    | No       | after transfer balance  |
| before     | Long    | No       | before transfer balance |
| limit      | Integer | No       | default 100, Max. 500   |

> **Response:**

```
{
    "code":"00000",
    "data":[
        {
            "coinName":"btc",
            "status":"SUCCESS",
            "toType":"USD_MIX",
            "toSymbol":"",
            "fromType":"CONTRACT",
            "fromSymbol":"BTC/USD",
            "amount":"1000.00000000",
            "tradeTime":"1631070374488"
        }
    ],
    "msg":"success",
    "requestTime":1631608142260
}
```

**Response Field**

| Field      | Description                |
| ---------- | -------------------------- |
| coinName   | Currency name              |
| status     | Status                     |
| toType     | Transfer in account type   |
| toSymbol   | Transfer to account Symbol |
| fromType   | Transfer out account type  |
| fromSymbol | Transfer in account Symbol |
| amount     | Number of transfers        |
| tradeTime  | Transfer time              |

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://weex-1.gitbook.io/en/restapi/spot-account-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
